Error code: sec_error_ca_cert_invalid Cannot login to Plesk with Firefox

Plesk Secure Connection Problem with Firefox: I cannot login to Plesk, hinting Error code: sec_error_ca_cert_invalid. Actually I just found that Plesk could work with Internet Explorer but not Firefox.

Read More